package o1.luokkia

// Tämä luokka liittyy lukuun 2.3 ja esitellään siellä.

class Puhelu(alkuhintaIlmanMpm: Double, minuuttihintaIlmanMpm: Double, val kesto: Double):

  val VerkkomaksuAloitus    = 0.130
  val VerkkomaksuMinuutilta = 0.013
  val alkuhinta = alkuhintaIlmanMpm + VerkkomaksuAloitus
  val minuuttihinta = minuuttihintaIlmanMpm + VerkkomaksuMinuutilta

  def kokonaishinta = this.alkuhinta + this.minuuttihinta * this.kesto

  def kuvaus =
    "%.2f min, %.2fe (%.3fe + %.3fe/min)".format(this.kesto,     this.kokonaishinta,
                                                 this.alkuhinta, this.minuuttihinta)

end Puhelu
